<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: pipe.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_b520d1ab1ec20b7fc47acdc53c2a8486.html">init_flow_old</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">old/pipe.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacepipe"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html">pipe</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ae4f307e1aa2fb2122f008e453c63ea88"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="old_2pipe_8f90.html#ae4f307e1aa2fb2122f008e453c63ea88">pipe_grid</a></td></tr>
<tr class="separator:ae4f307e1aa2fb2122f008e453c63ea88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04679ffeac73d23978c89003a7964f03"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="old_2pipe_8f90.html#a04679ffeac73d23978c89003a7964f03">pipe_data</a></td></tr>
<tr class="separator:a04679ffeac73d23978c89003a7964f03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c60fc6fa0fca2c7647b014330de757a"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="old_2pipe_8f90.html#a0c60fc6fa0fca2c7647b014330de757a">pipe_opt_data</a></td></tr>
<tr class="separator:a0c60fc6fa0fca2c7647b014330de757a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa23e0d457f097dff5f7e5357b8aeb35d"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#aa23e0d457f097dff5f7e5357b8aeb35d">pipe::amp</a></td></tr>
<tr class="separator:aa23e0d457f097dff5f7e5357b8aeb35d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af11f3cce743504cee9bfcd1810d82009"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#af11f3cce743504cee9bfcd1810d82009">pipe::umean</a></td></tr>
<tr class="separator:af11f3cce743504cee9bfcd1810d82009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01d3142eec361c70141a16d99b242ed6"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#a01d3142eec361c70141a16d99b242ed6">pipe::wmean</a></td></tr>
<tr class="separator:a01d3142eec361c70141a16d99b242ed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5a8df97cc2faa1b9bb4b38adbdc3330"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#ae5a8df97cc2faa1b9bb4b38adbdc3330">pipe::u</a></td></tr>
<tr class="separator:ae5a8df97cc2faa1b9bb4b38adbdc3330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81769bdf6d39401f3391bbc7be0e8a89"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#a81769bdf6d39401f3391bbc7be0e8a89">pipe::v</a></td></tr>
<tr class="separator:a81769bdf6d39401f3391bbc7be0e8a89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a877a5012907a1da940c4ac47459f3ebc"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#a877a5012907a1da940c4ac47459f3ebc">pipe::w</a></td></tr>
<tr class="separator:a877a5012907a1da940c4ac47459f3ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc7e63126e4a2354d7e2aa650bf85c2a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepipe.html#adc7e63126e4a2354d7e2aa650bf85c2a">pipe::p</a></td></tr>
<tr class="separator:adc7e63126e4a2354d7e2aa650bf85c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a04679ffeac73d23978c89003a7964f03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04679ffeac73d23978c89003a7964f03">&#9670;&nbsp;</a></span>pipe_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pipe_data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepipe.html#aa23e0d457f097dff5f7e5357b8aeb35d">pipe::amp</a>, <a class="el" href="namespacepipe.html#a87717dde0428766da0a69a8cc4bc9fc9">pipe::j_end</a>, <a class="el" href="namespacepipe.html#ae2864c36cd6983de5f48f5167e330356">pipe::j_start</a>, <a class="el" href="namespacepipe.html#a923aad68e7d1484110271f4dfb91498a">pipe::l</a>, <a class="el" href="namespacepipe.html#ac2f4e569cfaf77b9feeb58836a0b0ee1">pipe::npipes</a>, <a class="el" href="namespacebosch__chamber.html#a37a98dbd702c4db10be66942e0db81d5">bosch_chamber::p</a>, <a class="el" href="namespacepipe.html#a996a95ccaac7895d7b5aa060370f6267">pipe::radius</a>, <a class="el" href="namespacerandom.html#ae4b8f99ca82d502281d5cf54500c1283">random::random_init()</a>, <a class="el" href="namespacemath.html#a81187dd7f6cf5dd4b01a46518dfb6de0">math::twopi</a>, <a class="el" href="namespacebosch__chamber.html#a49571ceb741d1b130191d2bdb06af042">bosch_chamber::u</a>, <a class="el" href="namespacepipe.html#af11f3cce743504cee9bfcd1810d82009">pipe::umean</a>, <a class="el" href="namespacebosch__chamber.html#a6f7fe2c8f274406d204dd5230c2bc3ef">bosch_chamber::v</a>, <a class="el" href="namespacebosch__chamber.html#ad4aa387322284505b31af71ab555b026">bosch_chamber::w</a>, and <a class="el" href="namespacepipe.html#a01d3142eec361c70141a16d99b242ed6">pipe::wmean</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_cgraph.png" border="0" usemap="#old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_cgraph" alt=""/></div>
<map name="old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_cgraph" id="old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_cgraph">
<area shape="rect" id="node2" href="namespacerandom.html#ae4b8f99ca82d502281d5cf54500c1283" title="random::random_init" alt="" coords="132,5,272,32"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_icgraph.png" border="0" usemap="#old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_icgraph" alt=""/></div>
<map name="old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_icgraph" id="old_2pipe_8f90_a04679ffeac73d23978c89003a7964f03_icgraph">
<area shape="rect" id="node2" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="132,5,203,32"/>
</map>
</div>

</div>
</div>
<a id="ae4f307e1aa2fb2122f008e453c63ea88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4f307e1aa2fb2122f008e453c63ea88">&#9670;&nbsp;</a></span>pipe_grid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pipe_grid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepipe.html#a98dc02af9279ac540148fdf0527686a9">pipe::height</a>, <a class="el" href="namespacepipe.html#a87717dde0428766da0a69a8cc4bc9fc9">pipe::j_end</a>, <a class="el" href="namespacepipe.html#ae2864c36cd6983de5f48f5167e330356">pipe::j_start</a>, <a class="el" href="namespacepipe.html#a923aad68e7d1484110271f4dfb91498a">pipe::l</a>, <a class="el" href="namespacepipe.html#ac2f4e569cfaf77b9feeb58836a0b0ee1">pipe::npipes</a>, <a class="el" href="namespacepipe.html#a6e39cad3f533b20efa2e5158bf8db689">pipe::ny_pipe</a>, <a class="el" href="namespaceparser.html#ab623470141bd5a2836b28f65aa9ef10f">parser::parser_getsize()</a>, <a class="el" href="namespacepipe.html#ab4f57aae81730fb09c80bbef7eabb436">pipe::r</a>, <a class="el" href="namespacepipe.html#a996a95ccaac7895d7b5aa060370f6267">pipe::radius</a>, <a class="el" href="namespacemath.html#a81187dd7f6cf5dd4b01a46518dfb6de0">math::twopi</a>, <a class="el" href="namespacepipe.html#af11f3cce743504cee9bfcd1810d82009">pipe::umean</a>, and <a class="el" href="namespacepipe.html#a01d3142eec361c70141a16d99b242ed6">pipe::wmean</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="old_2pipe_8f90_ae4f307e1aa2fb2122f008e453c63ea88_cgraph.png" border="0" usemap="#old_2pipe_8f90_ae4f307e1aa2fb2122f008e453c63ea88_cgraph" alt=""/></div>
<map name="old_2pipe_8f90_ae4f307e1aa2fb2122f008e453c63ea88_cgraph" id="old_2pipe_8f90_ae4f307e1aa2fb2122f008e453c63ea88_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#ab623470141bd5a2836b28f65aa9ef10f" title="parser::parser_getsize" alt="" coords="128,264,279,291"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="327,180,453,207"/>
<area shape="rect" id="node10" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="342,289,438,316"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="524,5,668,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="519,56,673,83"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="525,107,667,149"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="513,173,679,214"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="501,239,691,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="514,289,678,316"/>
<area shape="rect" id="node11" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="531,341,661,382"/>
</map>
</div>

</div>
</div>
<a id="a0c60fc6fa0fca2c7647b014330de757a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c60fc6fa0fca2c7647b014330de757a">&#9670;&nbsp;</a></span>pipe_opt_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pipe_opt_data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f">parser::parser_is_defined()</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_cgraph.png" border="0" usemap="#old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_cgraph" alt=""/></div>
<map name="old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_cgraph" id="old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f" title="parser::parser_is_defined" alt="" coords="156,148,324,175"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="372,148,499,175"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="569,5,713,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="564,56,719,83"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="571,107,712,149"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="559,173,724,214"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="547,239,736,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="559,289,723,316"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_icgraph.png" border="0" usemap="#old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_icgraph" alt=""/></div>
<map name="old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_icgraph" id="old_2pipe_8f90_a0c60fc6fa0fca2c7647b014330de757a_icgraph">
<area shape="rect" id="node2" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="156,5,227,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jul 13 2020 22:28:01 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
